<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package EXPO
 * @since EXPO 1.0
 */

$expo_template_args = get_query_var( 'expo_template_args' );
if ( is_array( $expo_template_args ) ) {
	$expo_columns    = empty( $expo_template_args['columns'] ) ? 2 : max( 1, $expo_template_args['columns'] );
	$expo_blog_style = array( $expo_template_args['type'], $expo_columns );
    $expo_columns_class = expo_get_column_class( 1, $expo_columns, ! empty( $expo_template_args['columns_tablet']) ? $expo_template_args['columns_tablet'] : '', ! empty($expo_template_args['columns_mobile']) ? $expo_template_args['columns_mobile'] : '' );
} else {
	$expo_template_args = array();
	$expo_blog_style = explode( '_', expo_get_theme_option( 'blog_style' ) );
	$expo_columns    = empty( $expo_blog_style[1] ) ? 2 : max( 1, $expo_blog_style[1] );
    $expo_columns_class = expo_get_column_class( 1, $expo_columns );
}

$expo_post_format = get_post_format();
$expo_post_format = empty( $expo_post_format ) ? 'standard' : str_replace( 'post-format-', '', $expo_post_format );

?><div class="
<?php
if ( ! empty( $expo_template_args['slider'] ) ) {
	echo ' slider-slide swiper-slide';
} else {
	echo ( expo_is_blog_style_use_masonry( $expo_blog_style[0] ) ? 'masonry_item masonry_item-1_' . esc_attr( $expo_columns ) : esc_attr( $expo_columns_class ));
}
?>
"><article id="post-<?php the_ID(); ?>" 
	<?php
	post_class(
		'post_item post_item_container post_format_' . esc_attr( $expo_post_format )
		. ' post_layout_portfolio'
		. ' post_layout_portfolio_' . esc_attr( $expo_columns )
		. ( 'portfolio' != $expo_blog_style[0] ? ' ' . esc_attr( $expo_blog_style[0] )  . '_' . esc_attr( $expo_columns ) : '' )
	);
	expo_add_blog_animation( $expo_template_args );
	?>
>
<?php

	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}

	$expo_hover   = ! empty( $expo_template_args['hover'] ) && ! expo_is_inherit( $expo_template_args['hover'] )
								? $expo_template_args['hover']
								: expo_get_theme_option( 'image_hover' );

	if ( 'dots' == $expo_hover ) {
		$expo_post_link = empty( $expo_template_args['no_links'] )
								? ( ! empty( $expo_template_args['link'] )
									? $expo_template_args['link']
									: get_permalink()
									)
								: '';
		$expo_target    = ! empty( $expo_post_link ) && false === strpos( $expo_post_link, home_url() )
								? ' target="_blank" rel="nofollow"'
								: '';
	}
	
	// Meta parts
	$expo_components = ! empty( $expo_template_args['meta_parts'] )
							? ( is_array( $expo_template_args['meta_parts'] )
								? $expo_template_args['meta_parts']
								: explode( ',', $expo_template_args['meta_parts'] )
								)
							: expo_array_get_keys_by_value( expo_get_theme_option( 'meta_parts' ) );

	// Featured image
	expo_show_post_featured( apply_filters( 'expo_filter_args_featured',
        array(
			'hover'         => $expo_hover,
			'no_links'      => ! empty( $expo_template_args['no_links'] ),
			'thumb_size'    => ! empty( $expo_template_args['thumb_size'] )
								? $expo_template_args['thumb_size']
								: expo_get_thumb_size(
									expo_is_blog_style_use_masonry( $expo_blog_style[0] )
										? (	strpos( expo_get_theme_option( 'body_style' ), 'full' ) !== false || $expo_columns < 3
											? 'masonry-big'
											: 'masonry'
											)
										: (	strpos( expo_get_theme_option( 'body_style' ), 'full' ) !== false || $expo_columns < 3
											? 'square'
											: 'square'
											)
								),
			'thumb_bg' => expo_is_blog_style_use_masonry( $expo_blog_style[0] ) ? false : true,
			'show_no_image' => true,
			'meta_parts'    => $expo_components,
			'class'         => 'dots' == $expo_hover ? 'hover_with_info' : '',
			'post_info'     => 'dots' == $expo_hover
										? '<div class="post_info"><h5 class="post_title">'
											. ( ! empty( $expo_post_link )
												? '<a href="' . esc_url( $expo_post_link ) . '"' . ( ! empty( $target ) ? $target : '' ) . '>'
												: ''
												)
												. esc_html( get_the_title() ) 
											. ( ! empty( $expo_post_link )
												? '</a>'
												: ''
												)
											. '</h5></div>'
										: '',
            'thumb_ratio'   => 'info' == $expo_hover ?  '100:102' : '',
        ),
        'content-portfolio',
        $expo_template_args
    ) );
	?>
</article></div><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!